diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-spectrum-value-helper.cc ns-3.42/src/lte/test/lte-test-spectrum-value-helper.cc
--- ns-3.41/src/lte/test/lte-test-spectrum-value-helper.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-spectrum-value-helper.cc	2024-05-29 15:29:47.124073500 -0700
@@ -224,7 +224,7 @@
 static LteSpectrumValueHelperTestSuite g_lteSpectrumValueHelperTestSuite;
 
 LteSpectrumValueHelperTestSuite::LteSpectrumValueHelperTestSuite()
-    : TestSuite("lte-spectrum-value-helper", UNIT)
+    : TestSuite("lte-spectrum-value-helper", Type::UNIT)
 {
     //   LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_ALL);
     //   LogComponentEnable ("LteSpectrumModelTestCase", logLevel);
@@ -240,7 +240,8 @@
     fc2160nrb6[3] = 2.160090000000e+09;
     fc2160nrb6[4] = 2.160270000000e+09;
     fc2160nrb6[5] = 2.160450000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb6", 500, 6, fc2160nrb6), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb6", 500, 6, fc2160nrb6),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc2160nrb15(15);
     fc2160nrb15[0] = 2.158740000000e+09;
@@ -258,7 +259,8 @@
     fc2160nrb15[12] = 2.160900000000e+09;
     fc2160nrb15[13] = 2.161080000000e+09;
     fc2160nrb15[14] = 2.161260000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb15", 500, 15, fc2160nrb15), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb15", 500, 15, fc2160nrb15),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc2160nrb25(25);
     fc2160nrb25[0] = 2.157840000000e+09;
@@ -286,7 +288,8 @@
     fc2160nrb25[22] = 2.161800000000e+09;
     fc2160nrb25[23] = 2.161980000000e+09;
     fc2160nrb25[24] = 2.162160000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb25", 500, 25, fc2160nrb25), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb25", 500, 25, fc2160nrb25),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc2160nrb50(50);
     fc2160nrb50[0] = 2.155590000000e+09;
@@ -339,7 +342,8 @@
     fc2160nrb50[47] = 2.164050000000e+09;
     fc2160nrb50[48] = 2.164230000000e+09;
     fc2160nrb50[49] = 2.164410000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb50", 500, 50, fc2160nrb50), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb50", 500, 50, fc2160nrb50),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc2160nrb75(75);
     fc2160nrb75[0] = 2.153340000000e+09;
@@ -417,7 +421,8 @@
     fc2160nrb75[72] = 2.166300000000e+09;
     fc2160nrb75[73] = 2.166480000000e+09;
     fc2160nrb75[74] = 2.166660000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb75", 500, 75, fc2160nrb75), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc2160nrb75", 500, 75, fc2160nrb75),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc2160nrb100(100);
     fc2160nrb100[0] = 2.151090000000e+09;
@@ -521,7 +526,7 @@
     fc2160nrb100[98] = 2.168730000000e+09;
     fc2160nrb100[99] = 2.168910000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc2160nrb100", 500, 100, fc2160nrb100),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb6(6);
     fc1730nrb6[0] = 1.729550000000e+09;
@@ -530,7 +535,8 @@
     fc1730nrb6[3] = 1.730090000000e+09;
     fc1730nrb6[4] = 1.730270000000e+09;
     fc1730nrb6[5] = 1.730450000000e+09;
-    AddTestCase(new LteSpectrumModelTestCase("fc1730nrb6", 19400, 6, fc1730nrb6), TestCase::QUICK);
+    AddTestCase(new LteSpectrumModelTestCase("fc1730nrb6", 19400, 6, fc1730nrb6),
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb15(15);
     fc1730nrb15[0] = 1.728740000000e+09;
@@ -549,7 +555,7 @@
     fc1730nrb15[13] = 1.731080000000e+09;
     fc1730nrb15[14] = 1.731260000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc1730nrb15", 19400, 15, fc1730nrb15),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb25(25);
     fc1730nrb25[0] = 1.727840000000e+09;
@@ -578,7 +584,7 @@
     fc1730nrb25[23] = 1.731980000000e+09;
     fc1730nrb25[24] = 1.732160000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc1730nrb25", 19400, 25, fc1730nrb25),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb50(50);
     fc1730nrb50[0] = 1.725590000000e+09;
@@ -632,7 +638,7 @@
     fc1730nrb50[48] = 1.734230000000e+09;
     fc1730nrb50[49] = 1.734410000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc1730nrb50", 19400, 50, fc1730nrb50),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb75(75);
     fc1730nrb75[0] = 1.723340000000e+09;
@@ -711,7 +717,7 @@
     fc1730nrb75[73] = 1.736480000000e+09;
     fc1730nrb75[74] = 1.736660000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc1730nrb75", 19400, 75, fc1730nrb75),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<double> fc1730nrb100(100);
     fc1730nrb100[0] = 1.721090000000e+09;
@@ -815,7 +821,7 @@
     fc1730nrb100[98] = 1.738730000000e+09;
     fc1730nrb100[99] = 1.738910000000e+09;
     AddTestCase(new LteSpectrumModelTestCase("fc1730nrb100", 19400, 100, fc1730nrb100),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     SpectrumValue nfdB0earfcn500nrb6(LteSpectrumValueHelper::GetSpectrumModel(500, 6));
     nfdB0earfcn500nrb6[0] = 4.002000000000e-21;
@@ -825,7 +831,7 @@
     nfdB0earfcn500nrb6[4] = 4.002000000000e-21;
     nfdB0earfcn500nrb6[5] = 4.002000000000e-21;
     AddTestCase(new LteNoisePsdTestCase("nfdB0earfcn500nrb6", 500, 6, 0.000000, nfdB0earfcn500nrb6),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     SpectrumValue nfdB5earfcn500nrb6(LteSpectrumValueHelper::GetSpectrumModel(500, 6));
     nfdB5earfcn500nrb6[0] = 1.265543519599e-20;
@@ -835,7 +841,7 @@
     nfdB5earfcn500nrb6[4] = 1.265543519599e-20;
     nfdB5earfcn500nrb6[5] = 1.265543519599e-20;
     AddTestCase(new LteNoisePsdTestCase("nfdB5earfcn500nrb6", 500, 6, 5.000000, nfdB5earfcn500nrb6),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     SpectrumValue nfdB10earfcn500nrb6(LteSpectrumValueHelper::GetSpectrumModel(500, 6));
     nfdB10earfcn500nrb6[0] = 4.002000000000e-20;
@@ -846,7 +852,7 @@
     nfdB10earfcn500nrb6[5] = 4.002000000000e-20;
     AddTestCase(
         new LteNoisePsdTestCase("nfdB10earfcn500nrb6", 500, 6, 10.000000, nfdB10earfcn500nrb6),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     SpectrumValue nfdB0earfcn500nrb15(LteSpectrumValueHelper::GetSpectrumModel(500, 15));
     nfdB0earfcn500nrb15[0] = 4.002000000000e-21;
@@ -866,7 +872,7 @@
     nfdB0earfcn500nrb15[14] = 4.002000000000e-21;
     AddTestCase(
         new LteNoisePsdTestCase("nfdB0earfcn500nrb15", 500, 15, 0.000000, nfdB0earfcn500nrb15),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     SpectrumValue nfdB5earfcn500nrb15(LteSpectrumValueHelper::GetSpectrumModel(500, 15));
     nfdB5earfcn500nrb15[0] = 1.265543519599e-20;
@@ -886,7 +892,7 @@
     nfdB5earfcn500nrb15[14] = 1.265543519599e-20;
     AddTestCase(
         new LteNoisePsdTestCase("nfdB5earfcn500nrb15", 500, 15, 5.000000, nfdB5earfcn500nrb15),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     SpectrumValue nfdB10earfcn500nrb15(LteSpectrumValueHelper::GetSpectrumModel(500, 15));
     nfdB10earfcn500nrb15[0] = 4.002000000000e-20;
@@ -922,7 +928,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb6run1earfcn500,
                                      spectrumValue_txpowdB10nrb6run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb6run1earfcn500(1);
     activeRbs_txpowdB30nrb6run1earfcn500[0] = 5.000000000000e+00;
@@ -940,7 +946,7 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb6run1earfcn500,
                                      spectrumValue_txpowdB30nrb6run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB10nrb25run1earfcn500(8);
     activeRbs_txpowdB10nrb25run1earfcn500[0] = 1.000000000000e+00;
@@ -984,7 +990,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb25run1earfcn500,
                                      spectrumValue_txpowdB10nrb25run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb25run1earfcn500(13);
     activeRbs_txpowdB30nrb25run1earfcn500[0] = 0.000000000000e+00;
@@ -1033,7 +1039,7 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb25run1earfcn500,
                                      spectrumValue_txpowdB30nrb25run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB10nrb100run1earfcn500(60);
     activeRbs_txpowdB10nrb100run1earfcn500[0] = 0.000000000000e+00;
@@ -1204,7 +1210,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb100run1earfcn500,
                                      spectrumValue_txpowdB10nrb100run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb100run1earfcn500(39);
     activeRbs_txpowdB30nrb100run1earfcn500[0] = 0.000000000000e+00;
@@ -1354,7 +1360,7 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb100run1earfcn500,
                                      spectrumValue_txpowdB30nrb100run1earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB10nrb6run2earfcn500(3);
     activeRbs_txpowdB10nrb6run2earfcn500[0] = 1.000000000000e+00;
@@ -1374,7 +1380,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb6run2earfcn500,
                                      spectrumValue_txpowdB10nrb6run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb6run2earfcn500(3);
     activeRbs_txpowdB30nrb6run2earfcn500[0] = 3.000000000000e+00;
@@ -1394,7 +1400,7 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb6run2earfcn500,
                                      spectrumValue_txpowdB30nrb6run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB10nrb25run2earfcn500(15);
     activeRbs_txpowdB10nrb25run2earfcn500[0] = 0.000000000000e+00;
@@ -1445,7 +1451,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb25run2earfcn500,
                                      spectrumValue_txpowdB10nrb25run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb25run2earfcn500(13);
     activeRbs_txpowdB30nrb25run2earfcn500[0] = 0.000000000000e+00;
@@ -1494,7 +1500,7 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb25run2earfcn500,
                                      spectrumValue_txpowdB30nrb25run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB10nrb100run2earfcn500(48);
     activeRbs_txpowdB10nrb100run2earfcn500[0] = 2.000000000000e+00;
@@ -1653,7 +1659,7 @@
                                      10.000000,
                                      activeRbs_txpowdB10nrb100run2earfcn500,
                                      spectrumValue_txpowdB10nrb100run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     std::vector<int> activeRbs_txpowdB30nrb100run2earfcn500(52);
     activeRbs_txpowdB30nrb100run2earfcn500[0] = 0.000000000000e+00;
@@ -1816,5 +1822,5 @@
                                      30.000000,
                                      activeRbs_txpowdB30nrb100run2earfcn500,
                                      spectrumValue_txpowdB30nrb100run2earfcn500),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -56,7 +56,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestTdBetFfMacScheduler");
 
 LenaTestTdBetFfMacSchedulerSuite::LenaTestTdBetFfMacSchedulerSuite()
-    : TestSuite("lte-tdbet-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-tdbet-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestTdBetFfMacSchedulerSuite");
 
@@ -78,13 +78,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670 bytes/sec
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(3, 0, 732000, 749000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(6, 0, 366000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(12, 0, 183000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1383 -> 1383000 bytes/sec
@@ -98,13 +98,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 bytes/sec
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(3, 4800, 461000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(6, 4800, 230500, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(12, 4800, 115250, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
@@ -117,13 +117,13 @@
     // 6 users -> 4 PRB at Itbs 11 -> 97 -> 97000 bytes/sec
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(3, 6000, 397000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(6, 6000, 198500, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(12, 6000, 99250, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 10000 -> MCS 14 -> Itbs 13 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
@@ -137,13 +137,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 bytes/sec
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 10000, 775000, 421000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(3, 10000, 258333, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(6, 10000, 129166, 67000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(12, 10000, 64583, 32667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec
@@ -157,17 +157,18 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 2 -> 18 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(3, 20000, 140333, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(6, 20000, 70166, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(12, 20000, 35083, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaTdBetFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 
     // Test Case 2: fairness check
 
@@ -191,7 +192,7 @@
     estThrTdBetUl.push_back(26000);  // User 4 estimated TTI throughput from TDBET
     AddTestCase(
         new LenaTdBetFfMacSchedulerTestCase2(dist, estAchievableRateDl, estThrTdBetUl, errorModel),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -56,7 +56,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestTdMtFfMacScheduler");
 
 LenaTestTdMtFfMacSchedulerSuite::LenaTestTdMtFfMacSchedulerSuite()
-    : TestSuite("lte-tdmt-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-tdmt-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestTdMtFfMacSchedulerSuite");
 
@@ -77,13 +77,13 @@
     // min 3 PRBs per UE: 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670
     // bytes/sec
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(3, 0, 2196000, 749000, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(6, 0, 2196000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(12, 0, 2196000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1383 -> 1383000 bytes/sec for one UE; 0 bytes/sec for other
@@ -96,13 +96,13 @@
     // min 3 PRBs per UE: 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000
     // bytes/sec
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(3, 4800, 1383000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(6, 4800, 1383000, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(12, 4800, 1383000, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec for one UE; 0 bytes/sec for other UEs
@@ -116,13 +116,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(3, 6000, 1191000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(6, 6000, 1191000, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(12, 6000, 1191000, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 10000 -> MCS 14 -> Itbs 13 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec for one UE; 0 bytes/sec for other UEs
@@ -136,13 +136,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 bytes/sec
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 10000, 775000, 437000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(3, 10000, 775000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(6, 10000, 775000, 67000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(12, 10000, 775000, 32667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DONWLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec for one UE; 0 bytes/sec for other UEs
@@ -156,17 +156,18 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 2 -> 26 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(3, 20000, 421000, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(6, 20000, 421000, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdMtFfMacSchedulerTestCase(12, 20000, 421000, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaTdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -63,7 +63,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestTdTbfqFfMacScheduler");
 
 LenaTestTdTbfqFfMacSchedulerSuite::LenaTestTdTbfqFfMacSchedulerSuite()
-    : TestSuite("lte-tdtbfq-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-tdtbfq-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestTdTbfqFfMacSchedulerSuite");
 
@@ -93,11 +93,11 @@
     //  6 users -> 4 PRB at Itbs 26 -> 373 -> 373000 > 232000 -> throughput = 232000 bytes/sec
     //  12 users -> 2 PRB at Itbs 26 -> 185 -> 185000 < 232000 -> throughput = 185000 bytes/sec
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(1, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(3, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(6, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaTdTbfqFfMacSchedulerTestCase1 (12,0,183000,185000,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -119,11 +119,11 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 < 232000 -> throughput =
     // 62000  bytes/sec
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(1, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(3, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(6, 4800, 230500, 125000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaTdTbfqFfMacSchedulerTestCase1 (12,4800,115250,62000,200,1,errorModel));
     // // simulation time = 1.5, otherwise, ul test will fail
 
@@ -146,11 +146,11 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 < 232000 -> throughput =
     // 48667 bytes/sec
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(1, 6000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(3, 6000, 232000, 201000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(6, 6000, 198500, 97000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaTdTbfqFfMacSchedulerTestCase1 (12,6000,99250,48667,200,1, errorModel));
     // // simulation time = 1.5, otherwise, ul test will fail
 
@@ -172,11 +172,11 @@
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 < 232000 -> throughput = 32667
     // bytes/sec
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(1, 10000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(3, 10000, 232000, 137000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(6, 10000, 129166, 67000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaTdTbfqFfMacSchedulerTestCase1
     // (12,10000,64583,32667,200,1,errorModel));// simulation time = 1.5, otherwise, ul test will
     // fail
@@ -184,7 +184,7 @@
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     AddTestCase(new LenaTdTbfqFfMacSchedulerTestCase1(1, 100000, 0, 0, 200, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 2: homogeneous flow test in TDTBFQ (different distance)
     // Traffic1 info
@@ -210,7 +210,7 @@
     estThrTdTbfqDl1.push_back(132000); // User 3 estimated TTI throughput from TDTBFQ
     AddTestCase(
         new LenaTdTbfqFfMacSchedulerTestCase2(dist1, estThrTdTbfqDl1, packetSize1, 1, errorModel),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Traffic2 info
     //   UDP traffic: payload size = 300 bytes, interval = 1 ms
@@ -236,7 +236,7 @@
     estThrTdTbfqDl2.push_back(302500); // User 3 estimated TTI throughput from TDTBFQ
     AddTestCase(
         new LenaTdTbfqFfMacSchedulerTestCase2(dist2, estThrTdTbfqDl2, packetSize2, 1, errorModel),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Test Case 3: heterogeneous flow test in TDTBFQ
     //   UDP traffic: payload size = [100,200,300] bytes, interval = 1 ms
@@ -259,7 +259,7 @@
     estThrTdTbfqDl3.push_back(332000); // User 2 estimated TTI throughput from TDTBFQ
     AddTestCase(
         new LenaTdTbfqFfMacSchedulerTestCase2(dist3, estThrTdTbfqDl3, packetSize3, 1, errorModel),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
